Source: virt-manager
Section: admin
Priority: optional
Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
Uploaders:
 Guido Günther <agx@sigxcpu.org>,
 Laurent Léonard <laurent@open-minds.org>,
 Pino Toscano <pino@debian.org>,
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/libvirt-team/virt-manager.git
Vcs-Browser: https://salsa.debian.org/libvirt-team/virt-manager
Homepage: https://virt-manager.org/
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 gettext,
 python3,
 python3-distutils,
 python3-docutils,
 python3-setuptools,
# for the tests
 cpio <!nocheck>,
 xorriso <!nocheck>,
 gir1.2-libosinfo-1.0 <!nocheck>,
 gir1.2-libvirt-glib-1.0 <!nocheck>,
 libglib2.0-bin <!nocheck>,
 libvirt-daemon <!nocheck>,
 python3-argcomplete <!nocheck>,
 python3-gi (>= 3.31.3~) <!nocheck>,
 python3-libvirt <!nocheck>,
 python3-libxml2 <!nocheck>,
 python3-pytest <!nocheck>,
 python3-requests <!nocheck>,
Rules-Requires-Root: no

Package: virt-manager
Architecture: all
Depends:
 gir1.2-gtk-3.0 (>= 3.10),
 gir1.2-gtk-vnc-2.0,
 gir1.2-gtksource-4,
 gir1.2-libosinfo-1.0,
 gir1.2-libvirt-glib-1.0,
 gir1.2-vte-2.91,
 python3-gi (>= 3.31.3~),
 python3-gi-cairo,
 python3-libvirt (>= 0.7.1),
 virtinst (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 gir1.2-ayatanaappindicator3-0.1 | gir1.2-appindicator3-0.1,
 gir1.2-spiceclientglib-2.0,
 gir1.2-spiceclientgtk-3.0,
 libvirt-daemon-system (>= 1.2.7),
Suggests:
 gir1.2-secret-1,
 gnome-keyring,
 python3-guestfs,
 ssh-askpass,
 virt-viewer,
Description: desktop application for managing virtual machines
 The virt-manager application is a desktop user interface for managing virtual
 machines through libvirt. It primarily targets KVM VMs, but also manages Xen
 and LXC (Linux containers). It presents a summary view of running domains,
 their live performance & resource utilization statistics. Wizards enable the
 creation of new domains, and configuration & adjustment of a domain's resource
 allocation & virtual hardware. An embedded VNC and SPICE client viewer
 presents a full graphical console to the guest domain.

Package: virtinst
Architecture: all
Depends:
 e2fsprogs,
 xorriso,
 gir1.2-libosinfo-1.0,
 python3-gi (>= 3.31.3~),
 python3-libvirt (>= 0.4.6),
 python3-libxml2,
 python3-requests,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 libvirt-clients,
 qemu-utils,
 virt-viewer,
Suggests:
 python3-argcomplete,
Breaks:
 virt-manager (<< 1:3.2.0-3~),
Replaces:
 virt-manager (<< 1:3.2.0-3~),
Description: utilities to create and edit virtual machines
 This package contains some command line utilities to create and edit virtual
 machines:
 .
  - virt-clone: cloning existing inactive guests; it copies the disk images,
    and defines a config with new name, UUID and MAC address pointing to the
    copied disks
  - virt-install: provision operating systems into new virtual machines
  - virt-xml: easily edit libvirt domain XML using virt-install's command line
    options
